
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_archlib: %define perl_archlib %(eval "`%{__perl} -V:installarchlib`"; echo $installarchlib)}

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:    	Pidgin is a multi-protocol instant messaging (IM) client
Name:      	pidgin
Version:   	2.7.3
Release:   	1
Epoch:		1
Provides:	pidgin gaim
Obsoletes:	gaim %{name}-man
License: 	GNU/GPL
BuildArch:	i686
URL:		http://www.pidgin.im/
Group:    	Networking/Instant Messaging
Source0: 	pidgin-%{version}.tar.bz2
Patch0:		pidgin-rm_debug_flag.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	gnutls libao audiofile libtasn1 libsamplerate nss nspr 
Requires:	gst-plugins-good >= 0.10.16
BuildRequires:  libao-devel 
BuildRequires:  audiofile-devel 
BuildRequires:  libsamplerate-devel 
BuildRequires:  ORBit2-devel
BuildRequires:  libXrender-devel
BuildRequires:  libbonobo-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:  GConf-devel
BuildRequires:  howl-devel
BuildRequires:  intltool
BuildRequires:  libpng-devel
BuildRequires:  popt
BuildRequires:  python26-devel

%define perlversion 5.8.8

#Automatically resolved build dependencies
BuildRequires: aspell-devel
BuildRequires: atk-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: coreutils
BuildRequires: cyrus-sasl-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: farsight2-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnutls-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: gtk2+-devel
BuildRequires: gtkspell-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libICE-devel
BuildRequires: libidn-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtasn1-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXext-devel
BuildRequires: libxml2-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: ncurses-devel
BuildRequires: nspr-devel
BuildRequires: nss-devel
BuildRequires: pango-devel
BuildRequires: perl
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: startup-notification-devel
BuildRequires: tcl-devel
BuildRequires: tk-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
Pidgin allows you to talk to anyone using a variety of messaging
protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu,
ICQ, IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and
Zephyr.  These protocols are implemented using a modular, easy to
use design.  To use a protocol, just add an account using the
account editor.

Pidgin supports many common features of other clients, as well as many
unique features, such as perl scripting, TCL scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.


%package devel
Summary:    Development headers, documentation, and libraries for Pidgin
Group:      %{group}
Requires:   pidgin = %{epoch}:%{version}, libpurple-devel = %{epoch}:%{version}
Requires:   pkgconfig
Obsoletes:  gaim-devel
Provides:   gaim-devel

%description devel
The pidgin-devel package contains the header files, developer
documentation, and libraries required for development of Pidgin scripts
and plugins.


%package -n libpurple
Summary:    libpurple library for IM clients like Pidgin and Finch
Group:      %{group}
Obsoletes:  gaim-silc
Obsoletes:  gaim-tcl
Obsoletes:  gaim-gadugadu

%description -n libpurple
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.

libpurple supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.


%package -n libpurple-devel
Summary:    Development headers, documentation, and libraries for libpurple
Group:      %{group}
Requires:   libpurple = %{epoch}:%{version}
Requires:   pkgconfig

%description -n libpurple-devel
The libpurple-devel package contains the header files, developer
documentation, and libraries required for development of libpurple based
instant messaging clients or plugins for any libpurple based client.


%package -n finch
Summary:    A text-based user interface for Pidgin
Group:      %{group}
Requires:   libpurple = %{epoch}:%{version}

%description -n finch
A text-based user interface for using libpurple.  This can be run from a
standard text console or from a terminal within X Windows.  It
uses ncurses and our homegrown gnt library for drawing windows
and text.


%package -n finch-devel
Summary:    Headers etc. for finch stuffs
Group:      %{group}
Requires:   finch = %{epoch}:%{version}, libpurple-devel = %{epoch}:%{version}
Requires:   pkgconfig

%description -n finch-devel
The finch-devel package contains the header files, developer
documentation, and libraries required for development of Finch scripts
and plugins.

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
                %{_sysconfdir}/gnome/gconf/schemas/purple.schemas >/dev/null || :
    killall -HUP gconfd-2 &> /dev/null || :
fi

%post
touch --no-create %{_datadir}/icons/hicolor || :
[ -x %{_bindir}/gtk-update-icon-cache ] && \
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
            %{_sysconfdir}/gnome/gconf/schemas/purple.schemas > /dev/null || :
killall -HUP gconfd-2 &> /dev/null || :

%post -n libpurple -p /sbin/ldconfig

%post -n finch -p /sbin/ldconfig

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
                %{_sysconfdir}/gnome/gconf/schemas/purple.schemas > /dev/null || :
    killall -HUP gconfd-2 &> /dev/null || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
[ -x %{_bindir}/gtk-update-icon-cache ] && \
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun -n libpurple -p /sbin/ldconfig

%postun -n finch -p /sbin/ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
# we need some extra effort to get all files
# packaged into the right place (namely the
# perl libs misbehave and need correction)
# this is done the same way as _with_perlbuildhack
# in the pidgin provided spec file
 
%configure 	--prefix=%{_prefix} \
		--bindir=%{_bindir} \
		--datadir=%{_datadir} \
		--includedir=%{_includedir} \
		--libdir=%{_libdir} \
		--mandir=%{_mandir} \
		--sysconfdir=%{_sysconfdir}/gnome \
		--with-perl-lib=%{buildroot}%{_prefix} \
		--with-python=/usr/bin/python2.6 \
		--disable-debug \
		--enable-cyrus-sasl \
		--enable-static \
		--enable-dbus \
		--enable-shared \
		--with-ncurses-headers=/usr/include --disable-meanwhile --disable-nm --enable-vv
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make prefix=%{buildroot}%{_prefix} bindir=%{buildroot}%{_bindir} \
     datadir=%{buildroot}%{_datadir} includedir=%{buildroot}%{_includedir} \
     libdir=%{buildroot}%{_libdir} mandir=%{buildroot}%{_mandir} \
     sysconfdir=%{buildroot}%{_sysconfdir} DBUSDIR=$RPM_BUILD_ROOT \
     install
#make install-strip DESTDIR="$RPM_BUILD_ROOT"
#mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share

%files 
%defattr(-, root, root)

%{_libdir}/pidgin
#%attr(755, root, root) %{perl_vendorarch}/Pidgin.pm
#%attr(755, root, root) %{perl_vendorarch}/auto/Pidgin

%{_bindir}/pidgin
%{_datadir}/pixmaps/pidgin
%{_datadir}/icons/hicolor/*/apps/pidgin.*
#%dir %{_datadir}/sounds/pidgin
#%{_datadir}/sounds/pidgin/*
%{_datadir}/applications/*
%{_datadir}/locale
%{_sysconfdir}/gconf/schemas/purple.schemas
%_mandir/man1/pidgin*
%_mandir/man3/Pidgin.3.gz

%exclude /usr/lib/perl5/i686-linux-thread-multi/perllocal.pod

%files -n libpurple
%defattr(-, root, root)

%{_libdir}/libpurple.so.*
%{_libdir}/purple-2
#%attr(755, root, root) %{perl_vendorarch}/Purple.pm
#%attr(755, root, root) %{perl_vendorarch}/auto/Purple

#%{_datadir}/pixmaps/purple
%{_datadir}/sounds/purple
%{_bindir}/purple-client-example
%{_bindir}/purple-remote
%{_bindir}/purple-send
%{_bindir}/purple-send-async
%{_bindir}/purple-url-handler
%{_libdir}/libpurple-client.so.*
#%doc libpurple/purple-notifications-example
%{_datadir}/purple/ca-certs
%{_mandir}/man3/Purple.3.gz

%files devel
%defattr(-, root, root)
%dir %{_includedir}/pidgin
%{_includedir}/pidgin/*.h
%{_libdir}/pkgconfig/pidgin.pc

%files -n libpurple-devel
%defattr(-, root, root)

%dir %{_includedir}/libpurple
%{_includedir}/libpurple/*.h
%{_includedir}/libpurple/media/
%{_libdir}/libpurple.so
%{_libdir}/libpurple-client.so
%{_libdir}/pkgconfig/purple.pc
%{_datadir}/aclocal/purple.m4
%{_libdir}/libpurple*.a
%{_libdir}/libpurple*.la

%if 0%{?_with_howl:1} || 0%{?_with_avahi:1}
%files -n libpurple-bonjour
%defattr(-, root, root)

%{_libdir}/purple-2/libbonjour.*
%endif

%if 0%{?_with_meanwhile:1}
%files -n libpurple-meanwhile
%defattr(-, root, root)

%{_libdir}/purple-2/libsametime.*
%endif

%if 0%{?_with_mono:1}
%files libpurple-mono
%defattr(-, root, root)

%{_libdir}/purple-2/mono.so
%{_libdir}/purple-2/*.dll
%endif

%files -n finch
%defattr(-, root, root)
%doc %{_mandir}/man1/finch.*
%{_bindir}/finch
%{_libdir}/finch
%{_libdir}/libgnt.so.*
%{_libdir}/gnt
%{_pkgconfig}/finch.pc

%files -n finch-devel
%defattr(-, root, root)
%dir %{_includedir}/finch
%{_includedir}/finch/*.h
%dir %{_includedir}/gnt
%{_includedir}/gnt/*.h
%{_libdir}/pkgconfig/gnt.pc
%{_libdir}/libgnt.so
%{_libdir}/libgnt.a
%{_libdir}/libgnt.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2.7.3-1
- Version update
* Wed Jul 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2.7.2-1
- Version update
* Mon May 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2.7.1-1
- Version update
* Wed May 26 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2.7.0-1
- Version update
* Fri Feb 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2.6.6-1
- Version update
* Mon Dec 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:2.6.4-1
- Version update
* Thu Nov 12 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.6.3-3
- add require for gst-plugins-good
* Thu Nov 12 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.6.3-2
- rebuild against farsight2-0.0.16
- add BuildArch for ccuxbuild
* Thu Oct 22 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.6.3-1
- Version update
* Fri Sep 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:2.6.2-1
- Version update
* Fri Aug 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:2.6.1-1
- Version update
* Sun Jul 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:2.5.8-1
- Version update
* Fri May 22 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.5.6-1
- Version update
* Tue Apr 07 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.5.5-2
- corrected sysconfdir location
- enabled schema file install
* Tue Mar 03 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.5.5-1
- Version update
* Sat Jan 17 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.5.4-1
- Version update
* Tue Dec 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:2.5.3-1
- Version update
* Mon Oct 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:2.5.2-1
- Version update
* Sun Aug 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:2.5.1-1
- Version update
* Tue Aug 19 2008 Christian Metzen <metzench@ccux-linux.de> 1:2.5.0-1
- Version update
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 1:2.4.3-1
- Version update
* Wed May 21 2008 Christian Metzen <metzench@ccux-linux.de> 1:2.4.2-1
- Version update
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:2.4.1-3
- rebuilt against gnutls 2.2.2
* Thu Apr 24 2008 Christian Metzen <metzench@ccux-linux.de> 1:2.4.1-2
- obsolete man package
* Tue Apr 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:2.4.1-1
- Version update
* Sat Mar 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:2.4.0-1
- Version update
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:2.3.1-2
- rebuilt against tcl/tk 8.5.0
* Sat Dec 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:2.3.1-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.3.0-1
- Version update
* Sat Oct 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:2.2.2-1
- Version update
* Sun Sep 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:2.2.1-1
- Version update
* Fri Sep 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:2.2.0-1
- Version update
* Mon Aug 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:2.1.1-1
- Version update
* Mon Jul 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:2.1.0-1
- Version update
* Sun Jul 29 2007 Christian Wasem <wasem@ccux-linux.de> 1:2.0.2-2
- rebuild, corrected group variable (lower case)
* Fri Jun 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:2.0.2-1
- Version update
* Sun Jun 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:2.0.1-1
- Version update
- idle fix is now upstream, patch removed
* Wed May 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:2.0.0-2
- added idle patch
* Sat May 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:2.0.0-1
- Version update
- 2.0.0 final
* Tue May 1 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0beta7-1
- First package Release
- based on gaim package, following its namechange
